Summary: API documentation generation tool for GTK+ and GNOME
Name: 		gtk-doc
Version: 1.3
Release: 	1mdk
License: 	LGPL
Group: 		Development/GNOME and GTK+
Source:		http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/%{name}-%{version}.tar.bz2
BuildRequires:	libxslt-proc
BuildRequires:	openjade
BuildRequires:  docbook-dtd412-xml
BuildRequires:  docbook-style-xsl
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch: 	noarch
URL: 		http://www.gtk.org/rdp
Requires:   libxslt-proc
Requires: 	docbook-utils
Requires:   docbook-dtd412-xml
Requires: 	docbook-style-xsl
%define _requires_exceptions perl(gtkdoc-common.pl)

%description
gtk-doc is a tool for generating API reference documentation.
it is used for generating the documentation for GTK+, GLib
and GNOME.

%prep
%setup -q

# Move this doc file to avoid name collisions
mv doc/README doc/README.docs

%build
%configure2_5x

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# include shared directory
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS README doc/* examples
%{_bindir}/*
%{_datadir}/gtk-doc
%{_datadir}/sgml/gtk-doc
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*

%changelog
* Mon Jan 10 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.3-1mdk
- new source URL
- New release 1.3

* Fri Apr 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-1mdk
- Release 1.2

* Fri Jan 02 2004 Abel Cheung <deaddog@deaddog.org> 1.1-5mdk
- owns $datadir/gtk-doc/html, avoiding DIRM warning for other packages

* Mon Dec 22 2003 Stefan van der Eijk <stefan@eijk.nu> 1.1-4mdk
- rebuild for new pkgconfig Requires

* Fri Aug  8 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1-3mdk
- Nuke Requires: perl(gtkdoc-common.pl)

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.1-2mdk
- Fix requires/buildrequires

* Fri Apr 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.1-1mdk
- Release 1.1

* Mon Jan 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- Release 1.0

* Sat Dec 21 2002 Stefan van der Eijk <stefan@eijk.nu> 0.10-2mdk
- BuildRequires

* Tue Dec  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-1mdk
- Release 0.10

* Thu Mar 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-1mdk
- Release 0.9 (based on Abel Cheung work)

* Tue Sep 11 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.7-1mdk
- updated by Abel Cheung <maddog@linux.org.hk> :
	- 0.7
	- Don't hardcode dsssl version
	- Fix wrong configure option
	- Pubid patch commented out (merged upstream)
	- Patch1: CVS fix at 2001-08-15
	- Requires: dsssl-stylesheets -> docbook-style-dsssl
	- Move BuildArch to bottom of global section, otherwise
	  problematic with older versions of rpm
	- Use usecvs variable to toggle between using CVS or tarball

* Wed Jul 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4b1-2mdk
- rebuild

* Fri Mar 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4b1-1mdk
- added by eric.m.c.declerck@free.fr

* Wed Feb 28 2001 eric.m.c.declerck@free.fr
- compiled for Mandrake

* Tue Jan 16 2001 Tim Waugh <twaugh@redhat.com>
- Replace docbook, sgml-common, and stylesheets requirements with
  docbook-utils requirement.
- Use public identifier in custom stylesheets.

* Thu Dec 14 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Mon Nov 13 2000 Owen Taylor <otaylor@redhat.com>
- Version 0.4b1 (CVS snapshot)

* Fri Apr 23 1999 Owen Taylor <otaylor@redhat.com>
- added Requires

* Fri Apr 23 1999 Owen Taylor <otaylor@redhat.com>
- Initial RPM, version 0.2

